theme:
  name: material
  language: sv
  features:
    - navigation.instant
    - navigation.indexes
    - navigation.tabs
    - navigation.tabs.sticky
    - navigation.expand
    - content.tabs.link
    - content.code.copy
  palette: 
    - scheme: default
  icon:
    admonition:
      file: octicons/file-16

markdown_extensions:
  - tables
  - mdx_truly_sane_lists
  - admonition
  - def_list
  - pymdownx.tasklist:
      custom_checkbox: true
      clickable_checkbox: true
  - pymdownx.magiclink
  - pymdownx.inlinehilite
  - pymdownx.superfences:
      custom_fences:
        - name: mermaid
          class: mermaid
          format: !!python/name:pymdownx.superfences.fence_code_format
  - pymdownx.snippets
  - pymdownx.details
  - pymdownx.highlight:
      auto_title: true
      linenums: true
      anchor_linenums: true
      line_spans: __span
      pygments_lang_class: true
      pygments_style: monokai
  - pymdownx.tabbed:
      alternate_style: true
  - attr_list
  - md_in_html
  
extra_css:
  - style/extra.css

extra_javascript:
  - scripts/parser.js
#  - scripts/shiki.js
#  - scripts/medium-zoom.min.js
#  - scripts/extra.js

plugins:
  - search
  - glightbox
  - git-revision-date-localized:
      enable_creation_date: true
